Skip to main content
GET
/
projects
/
{project_id}
/
insights
List Insights Endpoint
curl --request GET \
  --url https://backend.overtenai.com/api/v1/projects/{project_id}/insights \
  --header 'X-API-Key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Path Parameters

project_id
string
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null
severity
string | null

Comma-separated list of severities to include (critical|high|medium|low).

alert_kind
string | null

Comma-separated list of kinds to include (disparity|insight|similarity).

file_id
string | null

Comma-separated list of source file_ids to filter to.

is_resolved
boolean | null

Response

Successful Response